Package org.apache.jmeter.extractor

# Class JSR223PostProcessor

java.lang.Object
org.apache.jmeter.testelement.AbstractTestElement
org.apache.jmeter.util.ScriptingTestElement
org.apache.jmeter.util.JSR223TestElement
org.apache.jmeter.extractor.JSR223PostProcessor

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Searchable`, `PostProcessor`, `TestBean`, `org.apache.jmeter.testelement.TestElement`, `TestStateListener`

public class JSR223PostProcessor extends JSR223TestElement implements Cloneable, PostProcessor, TestBean

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.apache.jmeter.testelement.TestElement

  `org.apache.jmeter.testelement.TestElement.Companion`

- ## Field Summary

  ### Fields inherited from class org.apache.jmeter.util.ScriptingTestElement

  `DEFAULT_SCRIPT_LANGUAGE, scriptLanguage`

  ### Fields inherited from interface org.apache.jmeter.testelement.TestElement

  `COMMENTS, Companion, ENABLED, GUI_CLASS, NAME, TEST_CLASS`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JSR223PostProcessor()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `clone()`
  `void`
  `process()`
  Provides the PostProcessor with a SampleResult object from which to extract values for use in future Queries.

  ### Methods inherited from class org.apache.jmeter.util.JSR223TestElement

  `compile, getCacheKey, getInstance, getScriptEngine, getScriptLanguage, populateBindings, processFileOrScript, setCacheKey, setScriptLanguage, testEnded, testEnded, testStarted, testStarted`

  ### Methods inherited from class org.apache.jmeter.util.ScriptingTestElement

  `getFilename, getParameters, getScript, isStopCondition, setFilename, setParameters, setScript`

  ### Methods inherited from class org.apache.jmeter.testelement.AbstractTestElement

  `addPropertiesValues, addProperty, addProperty, addTestElement, canRemove, clear, clearTemporary, clearTestElementChildren, emptyTemporary, equals, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getPropertyOrNull, getSearchableTokens, getThreadContext, getThreadName, hashCode, isEnabled, isRunningVersion, isTemporary, logProperties, mergeIn, propertyIterator, recoverRunningVersion, removeProperty, setComment, setEnabled, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse, traverseCollection, traverseMap, traverseProperty`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.apache.jmeter.testelement.TestElement

  `get, get, get, get, get, get, get, get, get, getOrCreate, getOrCreate, getOrNull, getOrNull, getOrNull, getPropertyOrNull, getProps, getSchema, getString, removed, removeProperty, set, set, set, set, set, set, set, set, set`

- ## Constructor Details

  - ### JSR223PostProcessor

    public JSR223PostProcessor()

- ## Method Details

  - ### process

    public void process()
    Description copied from interface: `PostProcessor`
    Provides the PostProcessor with a SampleResult object from which to extract values for use in future Queries.
    Specified by:
      `process` in interface `PostProcessor`

  - ### clone

    public Object clone()
    Specified by:
      `clone` in interface `org.apache.jmeter.testelement.TestElement`
    Overrides:
      `clone` in class `AbstractTestElement`